NonGNU-devel ELPA - package-lint

package-lint

Description
A linting library for elisp package authors
Latest
package-lint-0.21.0.20240220.230330.tar (.sig), 2024-Feb-21, 1.16 MiB
Maintainer
Steve Purcell <steve@sanityinc.com>, Fanael Linithien <fanael4@gmail.com>
Website
https://github.com/purcell/package-lint
Browse ELPA's repository
CGit or Gitweb
Badge

To install this package from Emacs, use package-install or list-packages.

Full description

Provides a list of issues with the package metadata of a file,
e.g. the package dependencies it requires.

See function `package-lint-buffer'.

Checks will currently be enabled only if a "Package-Requires:" or
"Package-Version:" header is present in the file.

Old versions

package-lint-0.21.0.20240214.150519.tar.lz2024-Feb-14 235 KiB
package-lint-0.21.0.20240128.13117.tar.lz2024-Jan-28 234 KiB
package-lint-0.21.0.20240118.172526.tar.lz2024-Jan-18 234 KiB
package-lint-0.21.0.20240115.171142.tar.lz2024-Jan-15 234 KiB
package-lint-0.21.0.20231129.175940.tar.lz2023-Nov-29 234 KiB
package-lint-0.21.0.20231121.190735.tar.lz2023-Nov-21 234 KiB
package-lint-0.21.0.20231113.151823.tar.lz2023-Nov-13 234 KiB
package-lint-0.20.0.20231110.171019.tar.lz2023-Nov-10 234 KiB
package-lint-0.20.0.20231103.181024.tar.lz2023-Nov-03 234 KiB
package-lint-0.19.0.20230905.65458.tar.lz2023-Sep-05 234 KiB